Index: /XIOS/trunk/src/client.cpp
===================================================================
--- /XIOS/trunk/src/client.cpp	(revision 1536)
+++ /XIOS/trunk/src/client.cpp	(revision 1537)
@@ -20,9 +20,20 @@
     int CClient::serverLeader ;
     bool CClient::is_MPI_Initialized ;
-    int CClient::rank = INVALID_RANK;
+    int CClient::rank_ = INVALID_RANK;
     StdOFStream CClient::m_infoStream;
     StdOFStream CClient::m_errorStream;
 
-    void CClient::initialize(const string& codeId,MPI_Comm& localComm,MPI_Comm& returnComm)
+    MPI_Comm& CClient::getInterComm(void)   { return (interComm); }
+
+///---------------------------------------------------------------
+/*!
+ * \fn void CClient::initialize(const string& codeId, MPI_Comm& localComm, MPI_Comm& returnComm)
+ * Function creates intraComm (CClient::intraComm) for client group with id=codeId and interComm (CClient::interComm) between client and server groups.
+ * \param [in] codeId identity of context.
+ * \param [in/out] localComm local communicator.
+ * \param [in/out] returnComm (intra)communicator of client group.
+ */
+
+    void CClient::initialize(const string& codeId, MPI_Comm& localComm, MPI_Comm& returnComm)
     {
       int initialized ;
@@ -30,9 +41,10 @@
       if (initialized) is_MPI_Initialized=true ;
       else is_MPI_Initialized=false ;
+      int rank ;
 
 // don't use OASIS
       if (!CXios::usingOasis)
       {
-// localComm doesn't given
+// localComm isn't given
         if (localComm == MPI_COMM_NULL)
         {
@@ -54,5 +66,5 @@
 
           MPI_Comm_size(CXios::globalComm,&size) ;
-          MPI_Comm_rank(CXios::globalComm,&rank);
+          MPI_Comm_rank(CXios::globalComm,&rank_);
 
           hashAll=new unsigned long[size] ;
@@ -84,7 +96,6 @@
           }
 
-          myColor=colors[hashClient] ;
-
-          MPI_Comm_split(CXios::globalComm,myColor,rank,&intraComm) ;
+          myColor=colors[hashClient];
+          MPI_Comm_split(CXios::globalComm,myColor,rank_,&intraComm) ;
 
           if (CXios::usingServer)
@@ -92,11 +103,11 @@
             int clientLeader=leaders[hashClient] ;
             serverLeader=leaders[hashServer] ;
-
             int intraCommSize, intraCommRank ;
             MPI_Comm_size(intraComm,&intraCommSize) ;
             MPI_Comm_rank(intraComm,&intraCommRank) ;
-            info(50)<<"intercommCreate::client "<<rank<<" intraCommSize : "<<intraCommSize
-                 <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< serverLeader<<endl ;
-            MPI_Intercomm_create(intraComm,0,CXios::globalComm,serverLeader,0,&interComm) ;
+            info(50)<<"intercommCreate::client "<<rank_<<" intraCommSize : "<<intraCommSize
+                   <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< serverLeader<<endl ;
+             MPI_Intercomm_create(intraComm, 0, CXios::globalComm, serverLeader, 0, &interComm) ;
+             //rank_ = intraCommRank;
           }
           else
@@ -123,5 +134,5 @@
       else
       {
-        // localComm doesn't given
+        // localComm isn't given
         if (localComm == MPI_COMM_NULL)
         {
@@ -137,10 +148,9 @@
         {
           MPI_Status status ;
-          MPI_Comm_rank(intraComm,&rank) ;
+          MPI_Comm_rank(intraComm,&rank_) ;
 
           oasis_get_intercomm(interComm,CXios::xiosCodeId) ;
-          if (rank==0) MPI_Recv(&serverLeader,1, MPI_INT, 0, 0, interComm, &status) ;
+          if (rank_==0) MPI_Recv(&serverLeader,1, MPI_INT, 0, 0, interComm, &status) ;
           MPI_Bcast(&serverLeader,1,MPI_INT,0,intraComm) ;
-
         }
         else MPI_Comm_dup(intraComm,&interComm) ;
@@ -150,6 +160,13 @@
     }
 
-
-    void CClient::registerContext(const string& id,MPI_Comm contextComm)
+///---------------------------------------------------------------
+/*!
+ * \fn void CClient::registerContext(const string& id, MPI_Comm contextComm)
+ * \brief Sends a request to create a context to server. Creates client/server contexts.
+ * \param [in] id id of context.
+ * \param [in] contextComm.
+ * Function is only called by client.
+ */
+    void CClient::registerContext(const string& id, MPI_Comm contextComm)
     {
       CContext::setCurrent(id) ;
@@ -158,5 +175,23 @@
       idServer += "_server";
 
-      if (!CXios::isServer)
+      if (CXios::isServer && !context->hasServer)
+      // Attached mode
+      {
+        MPI_Comm contextInterComm ;
+        MPI_Comm_dup(contextComm,&contextInterComm) ;
+        CContext* contextServer = CContext::create(idServer);
+
+        // Firstly, initialize context on client side
+        context->initClient(contextComm,contextInterComm, contextServer);
+
+        // Secondly, initialize context on server side
+        contextServer->initServer(contextComm,contextInterComm, context);
+
+        // Finally, we should return current context to context client
+        CContext::setCurrent(id);
+
+        contextInterComms.push_back(contextInterComm);
+      }
+      else
       {
         int size,rank,globalRank ;
@@ -170,5 +205,4 @@
         if (rank!=0) globalRank=0 ;
 
-
         CMessage msg ;
         msg<<idServer<<size<<globalRank ;
@@ -181,9 +215,7 @@
 
         MPI_Send((void*)buff,buffer.count(),MPI_CHAR,serverLeader,1,CXios::globalComm) ;
-        delete [] buff ;
 
         MPI_Intercomm_create(contextComm,0,CXios::globalComm,serverLeader,10+globalRank,&contextInterComm) ;
         info(10)<<"Register new Context : "<<id<<endl ;
-
         MPI_Comm inter ;
         MPI_Intercomm_merge(contextInterComm,0,&inter) ;
@@ -194,21 +226,6 @@
         contextInterComms.push_back(contextInterComm);
         MPI_Comm_free(&inter);
-      }
-      else
-      {
-        MPI_Comm contextInterComm ;
-        MPI_Comm_dup(contextComm,&contextInterComm) ;
-        CContext* contextServer = CContext::create(idServer);
-
-        // Firstly, initialize context on client side
-        context->initClient(contextComm,contextInterComm, contextServer);
-
-        // Secondly, initialize context on server side
-        contextServer->initServer(contextComm,contextInterComm, context);
-
-        // Finally, we should return current context to context client
-        CContext::setCurrent(id);
-
-        contextInterComms.push_back(contextInterComm);
+        delete [] buff ;
+
       }
     }
@@ -256,7 +273,10 @@
    }
 
+    /*!
+    * Return global rank without oasis and current rank in model intraComm in case of oasis
+    */
    int CClient::getRank()
    {
-     return rank;
+     return rank_;
    }
 
@@ -274,4 +294,5 @@
       int numDigit = 0;
       int size = 0;
+      int rank;
       MPI_Comm_size(CXios::globalComm, &size);
       while (size)
@@ -281,5 +302,13 @@
       }
 
-      fileNameClient << fileName << "_" << std::setfill('0') << std::setw(numDigit) << getRank() << ext;
+      if (CXios::usingOasis)
+      {
+        MPI_Comm_rank(CXios::globalComm,&rank);
+        fileNameClient << fileName << "_" << std::setfill('0') << std::setw(numDigit) << rank << ext;
+      }
+      else
+        fileNameClient << fileName << "_" << std::setfill('0') << std::setw(numDigit) << getRank() << ext;
+
+
       fb->open(fileNameClient.str().c_str(), std::ios::out);
       if (!fb->is_open())
Index: /XIOS/trunk/src/client.hpp
===================================================================
--- /XIOS/trunk/src/client.hpp	(revision 1536)
+++ /XIOS/trunk/src/client.hpp	(revision 1537)
@@ -20,5 +20,7 @@
         static bool is_MPI_Initialized ;
 
-        //! Get rank of the current process
+        static MPI_Comm& getInterComm();
+
+        //! Get global rank without oasis and current rank in model intraComm in case of oasis
         static int getRank();
 
@@ -38,5 +40,5 @@
 
       protected:
-        static int rank;
+        static int rank_;                 //!< Rank in model intraComm
         static StdOFStream m_infoStream;
         static StdOFStream m_errorStream;
Index: /XIOS/trunk/src/client_server_mapping.cpp
===================================================================
--- /XIOS/trunk/src/client_server_mapping.cpp	(revision 1536)
+++ /XIOS/trunk/src/client_server_mapping.cpp	(revision 1537)
@@ -97,3 +97,8 @@
 }
 
+CClientServerMapping::GlobalIndexMap& CClientServerMapping::getGlobalIndexOnServer()
+{
+  return indexGlobalOnServer_;
+}
+
 } //namespace xios
Index: /XIOS/trunk/src/client_server_mapping.hpp
===================================================================
--- /XIOS/trunk/src/client_server_mapping.hpp	(revision 1536)
+++ /XIOS/trunk/src/client_server_mapping.hpp	(revision 1537)
@@ -34,5 +34,5 @@
 
     // Only need global index on client to calculate mapping (supposed client has info of distribution)
-    virtual void computeServerIndexMapping(const CArray<size_t,1>& globalIndexOnClient) = 0;
+    virtual void computeServerIndexMapping(const CArray<size_t,1>& globalIndexOnClient, int nbServer) = 0;
 
     static std::map<int,int> computeConnectedClients(int nbServer, int nbClient,
@@ -41,4 +41,6 @@
 
     const GlobalIndexMap& getGlobalIndexOnServer() const;
+
+    GlobalIndexMap& getGlobalIndexOnServer();
 
   protected:
Index: /XIOS/trunk/src/client_server_mapping_distributed.cpp
===================================================================
--- /XIOS/trunk/src/client_server_mapping_distributed.cpp	(revision 1536)
+++ /XIOS/trunk/src/client_server_mapping_distributed.cpp	(revision 1537)
@@ -35,10 +35,8 @@
    Compute mapping global index of server which client sends to.
    \param [in] globalIndexOnClient global index client has
+   \param [in] nbServer size of server's intracomm
 */
-void CClientServerMappingDistributed::computeServerIndexMapping(const CArray<size_t,1>& globalIndexOnClient)
+void CClientServerMappingDistributed::computeServerIndexMapping(const CArray<size_t,1>& globalIndexOnClient, int nbServer)
 {
-  CContext* context=CContext::getCurrent() ;
-  CContextClient* client=context->client ;
-  int nbServer=client->serverSize;
 
   ccDHT_->computeIndexInfoMapping(globalIndexOnClient);
Index: /XIOS/trunk/src/client_server_mapping_distributed.hpp
===================================================================
--- /XIOS/trunk/src/client_server_mapping_distributed.hpp	(revision 1536)
+++ /XIOS/trunk/src/client_server_mapping_distributed.hpp	(revision 1537)
@@ -38,5 +38,5 @@
                                     bool isDataDistributed = true);
 
-    virtual void computeServerIndexMapping(const CArray<size_t,1>& globalIndexOnClientSendToServer);
+    virtual void computeServerIndexMapping(const CArray<size_t,1>& globalIndexOnClientSendToServer, int nbServer);
 
     /** Default destructor */
Index: /XIOS/trunk/src/config/axis_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/axis_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/axis_attribute.conf	(revision 1537)
@@ -3,8 +3,18 @@
 DECLARE_ATTRIBUTE(StdString, long_name)
 
+DECLARE_ATTRIBUTE(StdString, comment)
+
 DECLARE_ATTRIBUTE(StdString, unit)
+DECLARE_ATTRIBUTE(StdString, formula)
+DECLARE_ATTRIBUTE(StdString, formula_term)
+DECLARE_ATTRIBUTE(StdString, formula_bounds)
+DECLARE_ATTRIBUTE(StdString, formula_term_bounds)
+DECLARE_ATTRIBUTE(StdString, bounds_name)
 
 DECLARE_ATTRIBUTE(int,       n_glo)
 DECLARE_ENUM2(positive, up, down)
+DECLARE_ENUM4(axis_type, X, Y, Z, T)
+
+DECLARE_ATTRIBUTE(StdString, dim_name)
 
 /* GLOBAL */
Index: /XIOS/trunk/src/config/axis_attribute_private.conf
===================================================================
--- /XIOS/trunk/src/config/axis_attribute_private.conf	(revision 1536)
+++ /XIOS/trunk/src/config/axis_attribute_private.conf	(revision 1537)
@@ -2,2 +2,7 @@
 DECLARE_ATTRIBUTE_PRIVATE(int, global_zoom_n)
 DECLARE_ARRAY_PRIVATE(int,  1, global_zoom_index)
+
+/* LOCAL DATA*/
+DECLARE_ARRAY_PRIVATE(int    ,   1 , zoom_index)
+DECLARE_ATTRIBUTE_PRIVATE(int, zoom_begin)
+DECLARE_ATTRIBUTE_PRIVATE(int, zoom_n)
Index: /XIOS/trunk/src/config/calendar_wrapper_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/calendar_wrapper_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/calendar_wrapper_attribute.conf	(revision 1537)
@@ -1,2 +1,3 @@
+DECLARE_ATTRIBUTE(StdString, comment)
 DECLARE_ENUM6(type, D360, AllLeap, NoLeap, Julian, Gregorian, user_defined)
 DECLARE_ATTRIBUTE(CDuration, timestep)
Index: /XIOS/trunk/src/config/domain_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/domain_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/domain_attribute.conf	(revision 1537)
@@ -3,4 +3,12 @@
 DECLARE_ATTRIBUTE(StdString       , standard_name)
 DECLARE_ATTRIBUTE(StdString       , long_name)
+DECLARE_ATTRIBUTE(StdString       , lon_name)
+DECLARE_ATTRIBUTE(StdString       , lat_name)
+DECLARE_ATTRIBUTE(StdString       , bounds_lon_name)
+DECLARE_ATTRIBUTE(StdString       , bounds_lat_name)
+DECLARE_ATTRIBUTE(StdString       , dim_i_name)
+DECLARE_ATTRIBUTE(StdString       , dim_j_name)
+
+DECLARE_ATTRIBUTE(StdString, comment)
 
 /* GLOBAL */
@@ -9,18 +17,18 @@
 
 /* LOCAL */
-DECLARE_ATTRIBUTE(int             , ibegin)
-DECLARE_ATTRIBUTE(int             , ni)
+DECLARE_ATTRIBUTE(int             , ibegin, false)
+DECLARE_ATTRIBUTE(int             , ni, false)
 
 /* LOCAL */
-DECLARE_ATTRIBUTE(int             , jbegin)
-DECLARE_ATTRIBUTE(int             , nj)
+DECLARE_ATTRIBUTE(int             , jbegin, false)
+DECLARE_ATTRIBUTE(int             , nj, false)
 
 
-DECLARE_ARRAY(int,1             , i_index)
-DECLARE_ARRAY(int,1             , j_index)
+DECLARE_ARRAY(int,1             , i_index, false)
+DECLARE_ARRAY(int,1             , j_index, false)
 
 /* LOCAL */
-DECLARE_ARRAY(bool, 1 , mask_1d)
-DECLARE_ARRAY(bool, 2 , mask_2d)
+DECLARE_ARRAY(bool, 1 , mask_1d, false)
+DECLARE_ARRAY(bool, 2 , mask_2d, false)
 
 /* GLOBAL */
@@ -28,24 +36,24 @@
 
 /* LOCAL */
-DECLARE_ATTRIBUTE(int             , data_ni)
-DECLARE_ATTRIBUTE(int             , data_nj)
-DECLARE_ATTRIBUTE(int             , data_ibegin)
-DECLARE_ATTRIBUTE(int             , data_jbegin)
+DECLARE_ATTRIBUTE(int             , data_ni, false)
+DECLARE_ATTRIBUTE(int             , data_nj, false)
+DECLARE_ATTRIBUTE(int             , data_ibegin, false)
+DECLARE_ATTRIBUTE(int             , data_jbegin, false)
 
 /* LOCAL */
-DECLARE_ARRAY(int, 1 , data_i_index)
-DECLARE_ARRAY(int, 1,  data_j_index)
+DECLARE_ARRAY(int, 1 , data_i_index, false)
+DECLARE_ARRAY(int, 1,  data_j_index, false)
 
 /* LOCAL */
-DECLARE_ARRAY(double, 1, lonvalue_1d)
-DECLARE_ARRAY(double, 1, latvalue_1d)
-DECLARE_ARRAY(double, 2, lonvalue_2d)
-DECLARE_ARRAY(double, 2, latvalue_2d)
+DECLARE_ARRAY(double, 1, lonvalue_1d, false)
+DECLARE_ARRAY(double, 1, latvalue_1d, false)
+DECLARE_ARRAY(double, 2, lonvalue_2d, false)
+DECLARE_ARRAY(double, 2, latvalue_2d, false)
 
 DECLARE_ATTRIBUTE(int, nvertex)
-DECLARE_ARRAY(double, 2, bounds_lon_1d)
-DECLARE_ARRAY(double, 2, bounds_lat_1d)
-DECLARE_ARRAY(double, 3, bounds_lon_2d)
-DECLARE_ARRAY(double, 3, bounds_lat_2d)
+DECLARE_ARRAY(double, 2, bounds_lon_1d, false)
+DECLARE_ARRAY(double, 2, bounds_lat_1d, false)
+DECLARE_ARRAY(double, 3, bounds_lon_2d, false)
+DECLARE_ARRAY(double, 3, bounds_lat_2d, false)
 
 DECLARE_ARRAY(double, 2, area)
Index: /XIOS/trunk/src/config/domain_attribute_private.conf
===================================================================
--- /XIOS/trunk/src/config/domain_attribute_private.conf	(revision 1536)
+++ /XIOS/trunk/src/config/domain_attribute_private.conf	(revision 1537)
@@ -10,9 +10,9 @@
 DECLARE_ATTRIBUTE_PRIVATE(double,  bounds_lat_end)
 
-// Array contain whole value (non distributed) of longitude and latitude of rectilinear read from a file
+//  Array contain whole value (non distributed) of longitude and latitude read from a file
 DECLARE_ARRAY_PRIVATE(double, 1, lonvalue_rectilinear_read_from_file)
 DECLARE_ARRAY_PRIVATE(double, 1, latvalue_rectilinear_read_from_file)
 
-// Array contain whole value (non distributed) of longitude and latitude of curvilinear read from a file
+// Array containing longitude and latitude of LOCAL curvilinear domain to be read from a file
 DECLARE_ARRAY_PRIVATE(double, 2, lonvalue_curvilinear_read_from_file)
 DECLARE_ARRAY_PRIVATE(double, 2, latvalue_curvilinear_read_from_file)
@@ -20,5 +20,5 @@
 DECLARE_ARRAY_PRIVATE(double, 3, bounds_latvalue_curvilinear_read_from_file)
 
-// Array contain whole value (non distributed) of longitude and latitude of unstructured read from a file
+// Array containing longitude and latitude of LOCAL unstructured domain to be read from a file
 DECLARE_ARRAY_PRIVATE(double, 1, lonvalue_unstructured_read_from_file)
 DECLARE_ARRAY_PRIVATE(double, 1, latvalue_unstructured_read_from_file)
@@ -30,2 +30,12 @@
 DECLARE_ATTRIBUTE_PRIVATE(int,  global_zoom_jbegin)
 DECLARE_ATTRIBUTE_PRIVATE(int,  global_zoom_nj)
+
+// Local zoom information
+DECLARE_ATTRIBUTE_PRIVATE(int,  zoom_ibegin)
+DECLARE_ATTRIBUTE_PRIVATE(int,  zoom_ni)
+DECLARE_ATTRIBUTE_PRIVATE(int,  zoom_jbegin)
+DECLARE_ATTRIBUTE_PRIVATE(int,  zoom_nj)
+
+
+DECLARE_ARRAY_PRIVATE(int    ,   1 , zoom_i_index, false)
+DECLARE_ARRAY_PRIVATE(int    ,   1 , zoom_j_index, false)
Index: /XIOS/trunk/src/config/field_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/field_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/field_attribute.conf	(revision 1537)
@@ -2,4 +2,6 @@
 DECLARE_ATTRIBUTE(StdString, standard_name)
 DECLARE_ATTRIBUTE(StdString, long_name)
+
+DECLARE_ATTRIBUTE(StdString, comment)
 
 DECLARE_ATTRIBUTE(StdString, unit)
@@ -18,7 +20,7 @@
 DECLARE_ATTRIBUTE(bool,      check_if_active)
 
-DECLARE_ATTRIBUTE(StdString, domain_ref)
-DECLARE_ATTRIBUTE(StdString, axis_ref)
-DECLARE_ATTRIBUTE(StdString, scalar_ref)
+DECLARE_ATTRIBUTE(StdString, domain_ref, false)
+DECLARE_ATTRIBUTE(StdString, axis_ref, false)
+DECLARE_ATTRIBUTE(StdString, scalar_ref, false)
 DECLARE_ATTRIBUTE(StdString, grid_ref)
 DECLARE_ATTRIBUTE(StdString, field_ref)
Index: /XIOS/trunk/src/config/file_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/file_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/file_attribute.conf	(revision 1537)
@@ -1,4 +1,6 @@
 DECLARE_ATTRIBUTE(StdString, name)
 DECLARE_ATTRIBUTE(StdString, description)
+
+DECLARE_ATTRIBUTE(StdString, comment)
 
 DECLARE_ATTRIBUTE(StdString, name_suffix)
@@ -21,9 +23,10 @@
 DECLARE_ATTRIBUTE(bool,      append)
 DECLARE_ENUM2(mode,          read, write)
+DECLARE_ATTRIBUTE(bool,      read_metadata_par)
 DECLARE_ENUM7(time_counter,  centered, instant, record, exclusive, centered_exclusive, instant_exclusive, none)
 DECLARE_ATTRIBUTE(StdString, time_counter_name)
 DECLARE_ENUM2(time_units, seconds, days)
 DECLARE_ATTRIBUTE(int,       record_offset)
-DECLARE_ATTRIBUTE(bool,       cyclic)
+DECLARE_ATTRIBUTE(bool,      cyclic)
 
 DECLARE_ATTRIBUTE(int,       compression_level)
Index: /XIOS/trunk/src/config/grid_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/grid_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/grid_attribute.conf	(revision 1537)
@@ -2,12 +2,16 @@
 DECLARE_ATTRIBUTE(StdString, description)
 
-DECLARE_ARRAY(bool, 1, mask_1d)
-DECLARE_ARRAY(bool, 2, mask_2d)
-DECLARE_ARRAY(bool, 3, mask_3d)
-DECLARE_ARRAY(bool, 4, mask_4d)
-DECLARE_ARRAY(bool, 5, mask_5d)
-DECLARE_ARRAY(bool, 6, mask_6d)
-DECLARE_ARRAY(bool, 7, mask_7d)
+DECLARE_ATTRIBUTE(StdString, comment)
 
+DECLARE_ARRAY(bool, 1, mask_1d, false)
+DECLARE_ARRAY(bool, 2, mask_2d, false)
+DECLARE_ARRAY(bool, 3, mask_3d, false)
+DECLARE_ARRAY(bool, 4, mask_4d, false)
+DECLARE_ARRAY(bool, 5, mask_5d, false)
+DECLARE_ARRAY(bool, 6, mask_6d, false)
+DECLARE_ARRAY(bool, 7, mask_7d, false)
+
+// Meaningless, only server for coherent purpose (for scalar grid)
+DECLARE_ARRAY(bool, 1, mask_0d, false)
 
 // An array contains order of axis and domains composing of the grid
Index: /XIOS/trunk/src/config/interpolate_domain_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/interpolate_domain_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/interpolate_domain_attribute.conf	(revision 1537)
@@ -3,4 +3,5 @@
 DECLARE_ATTRIBUTE(bool, renormalize)
 DECLARE_ATTRIBUTE(bool, quantity)
+DECLARE_ATTRIBUTE(bool, detect_missing_value)
 
 /* Write interpolation weights into file */
@@ -8,2 +9,3 @@
 DECLARE_ATTRIBUTE(StdString, weight_filename)
 DECLARE_ATTRIBUTE(bool, write_weight)
+DECLARE_ENUM2(read_write_convention, c, fortran)
Index: /XIOS/trunk/src/config/node_type.conf
===================================================================
--- /XIOS/trunk/src/config/node_type.conf	(revision 1536)
+++ /XIOS/trunk/src/config/node_type.conf	(revision 1537)
@@ -67,4 +67,8 @@
 #endif //__XIOS_CReduceDomainToAxis__
 
+#ifdef __XIOS_CReduceAxisToAxis__
+   DECLARE_NODE(ReduceAxisToAxis, reduce_axis_to_axis)
+#endif //__XIOS_CReduceAxisToAxis__
+
 #ifdef __XIOS_CExtractDomainToAxis__
    DECLARE_NODE(ExtractDomainToAxis, extract_domain)
@@ -87,4 +91,20 @@
 #endif //__XIOS_CReduceDomainToScalar__
 
+#ifdef __XIOS_CTemporalSplitting__
+   DECLARE_NODE(TemporalSplitting, temporal_splitting)
+#endif //__XIOS_CTemporalSplitting__
+
+#ifdef __XIOS_CDuplicateScalarToAxis__
+   DECLARE_NODE(DuplicateScalarToAxis, duplicate_scalar_to_axis)
+#endif //__XIOS_CDuplicateScalarToAxis__
+
+#ifdef __XIOS_CReduceScalarToScalar__
+   DECLARE_NODE(ReduceScalarToScalar, reduce_scalar_to_scalar)
+#endif //__XIOS_CReduceScalarToScalar_
+
+#ifdef __XIOS_CReorderDomain__
+   DECLARE_NODE(ReorderDomain, reorder_domain)
+#endif //__XIOS_CReduceScalarToScalar_
+
 #ifdef __XIOS_CContext__
    DECLARE_NODE_PAR(Context, context)
Index: /XIOS/trunk/src/config/reduce_axis_to_axis_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/reduce_axis_to_axis_attribute.conf	(revision 1537)
+++ /XIOS/trunk/src/config/reduce_axis_to_axis_attribute.conf	(revision 1537)
@@ -0,0 +1,1 @@
+DECLARE_ENUM4(operation, min, max, sum, average)
Index: /XIOS/trunk/src/config/reduce_domain_to_axis_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/reduce_domain_to_axis_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/reduce_domain_to_axis_attribute.conf	(revision 1537)
@@ -3,2 +3,3 @@
 /* Direction to apply operation (i, j) */
 DECLARE_ENUM2(direction,  iDir, jDir)
+DECLARE_ATTRIBUTE(bool, local)
Index: /XIOS/trunk/src/config/reduce_domain_to_scalar_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/reduce_domain_to_scalar_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/reduce_domain_to_scalar_attribute.conf	(revision 1537)
@@ -1,1 +1,2 @@
 DECLARE_ENUM4(operation, min, max, sum, average)
+DECLARE_ATTRIBUTE(bool, local)
Index: /XIOS/trunk/src/config/reduce_scalar_to_scalar_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/reduce_scalar_to_scalar_attribute.conf	(revision 1537)
+++ /XIOS/trunk/src/config/reduce_scalar_to_scalar_attribute.conf	(revision 1537)
@@ -0,0 +1,2 @@
+DECLARE_ENUM4(operation, min, max, sum, average)
+
Index: /XIOS/trunk/src/config/reorder_domain_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/reorder_domain_attribute.conf	(revision 1537)
+++ /XIOS/trunk/src/config/reorder_domain_attribute.conf	(revision 1537)
@@ -0,0 +1,4 @@
+DECLARE_ATTRIBUTE(bool, invert_lat)
+DECLARE_ATTRIBUTE(double, shift_lon_fraction)
+DECLARE_ATTRIBUTE(double, min_lon)
+DECLARE_ATTRIBUTE(double, max_lon)
Index: /XIOS/trunk/src/config/scalar_attribute.conf
===================================================================
--- /XIOS/trunk/src/config/scalar_attribute.conf	(revision 1536)
+++ /XIOS/trunk/src/config/scalar_attribute.conf	(revision 1537)
@@ -2,4 +2,6 @@
 DECLARE_ATTRIBUTE(StdString, standard_name)
 DECLARE_ATTRIBUTE(StdString, long_name)
+
+DECLARE_ATTRIBUTE(StdString, comment)
 
 DECLARE_ATTRIBUTE(StdString, unit)
@@ -7,5 +9,11 @@
 /* LOCAL and GLOBAL*/
 DECLARE_ATTRIBUTE(double, value)
+DECLARE_ATTRIBUTE(StdString, bounds_name)
+DECLARE_ARRAY(double, 1 , bounds)
 
 DECLARE_ATTRIBUTE(StdString, scalar_ref)
 DECLARE_ATTRIBUTE(int, prec)
+
+DECLARE_ENUM4(axis_type, X, Y, Z, T)
+DECLARE_ENUM2(positive, up, down)
+DECLARE_ATTRIBUTE(StdString, label)
